#!/bin/sh

# *************************************************************************
# Licensed Materials - Property of IBM
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# Copyright IBM Corporation 2009, 2010. All rights reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

OSGI_CFG="-Dosgi.configuration.area=$WAS_HOME/serviceDeploy/configuration"
JVM_OPTIONS="-Xms256M -Xmx512M -XX:MaxPermSize=128m -Dwas.home=$WAS_HOME -Duser.install.root=$WAS_HOME -Dws.ext.dirs=$WAS_EXT_DIRS $OSGI_INSTALL $OSGI_CFG"
#SD_DEBUG="-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,address=7777,suspend=y"

PLATFORM=`/bin/uname`
case $PLATFORM in
  OS/390)
      JVM_OPTIONS="-Dfile.encoding=ISO8859-1 -Xnoargsconversion -Dws.output.encoding=ISO8859-1 "$JVM_OPTIONS
      ;;
  *)
      ;;
esac

bootpath=${WAS_HOME}/lib/servicedeploy.jar:${WAS_CLASSPATH}
$JAVA_HOME/bin/java $SD_DEBUG -classpath $bootpath $JVM_OPTIONS $EXTRA_SD_JVM_OPTIONS com.ibm.ws.bpm.servicedeploy.main.ServiceDeployMain "$@"




